Subject: bug#24279: Bug in xterm and/or fontconfig

From: Alex Kost <[email-masked]>
Date: Fri, 02 Sep 2016 12:02:55 +0300

Mark H Weaver (2016-09-02 00:03 +0300) wrote:

> Alex Kost <[email-masked]> writes:
>
>> John Darrington (2016-08-21 16:18 +0300) wrote:
[...]
>>> Now in the xterm, hold down Ctrl and press any mouse button.
>>> The xterm aborts with the following messages:
>>>  Warning: Unable to load any usable ISO8859 font
>>>  Error: Aborting: no font found
>>
>> Pressing Ctrl with any mouse button displays menus for me without any
>> error.
>
> Fwiw, I see the same problem with 'xterm' on both of my GuixSD laptops,
> on mips64el and i686.  The i686 laptop is running a full GNOME desktop
> environment, and the mips64el laptop runs a somewhat minified Xfce
> environment.

OK, apparently it's broken by default since you all have this problem.
I think I just have some settings on my system that make it work
properly.  For example, I start X server with all font paths that I
need (I don't use SLIM), not sure if it relates.

"xset -q" gives me:

...
Font Path:
  <profile>truetype,<profile>X11/misc,<profile>X11/100dpi,<profile>X11/75dpi,built-ins

where <profile> is my guix profile with fonts.

Also I don't use 'font-alias' package, instead I use a "pure"
modification of it as described at
<https://lists.gnu.org/archive/html/bug-guix/2015-12/msg00022.html>.

But, well, I have no idea why xterm menus work for me :-)

-- 
Alex